#ifndef _KMLEHDR_
#define _KMLEHDR_

#ifndef _IHANDLER_
  #include <ihandler.hpp>
#endif

class IEvent;
class IControlEvent;

class _Export KMleHandler : public IHandler
{
   protected:
     virtual Boolean dispatchHandlerEvent(IEvent& event);
     virtual Boolean clipboardFail(IControlEvent& event) { return false; }
     virtual Boolean overflow(IControlEvent& event) { return false; }
     virtual Boolean textOverflow(IControlEvent& event) { return false; }
     virtual Boolean pixHorzOverflow(IControlEvent& event) { return false; }
     virtual Boolean pixVertOverflow(IControlEvent& event) { return false; }
     virtual Boolean hScroll(IControlEvent& event) { return false; }
     virtual Boolean vScroll(IControlEvent& event) { return false; }
     virtual Boolean undoOverflow(IControlEvent& event) { return false; }
     virtual Boolean memError(IControlEvent& event) { return false; }
     virtual Boolean margin(IControlEvent& event) { return false; }
     virtual Boolean searchPause(IControlEvent& event) { return false; }
};


#endif
